function gameinput (sender,obj_id,attachedID)
-----------------------------------------------------------------------------------------------------------------------
  if sender==30 then
      setcurentleaf("hotel",2,0);
      BlockCursor(false);
      CreateWindow(150,250,"253",nil,nil,250,30);
          AddParticleToObject(42,"pu4ok",445,302);
      MoveEmiter("pu4ok",445,302);
      if not flags.minicomplete9 then 
      StartEmiter("pu4ok"); 
      end;
    ShowMenu(true);
          savegame(SaveLevel());
  return;end;
  if sender==28 then---- объект доехал
    
    if obj_id==1 then
      if frame==0  then
        MoveObjectX(2,-459,300,1);  
        flags.konec= true;
      return;end;
      if flags.konec then
        del_object_from_game(33)
        del_object_from_game(2)
        del_object_from_game(12)
        WaitRender()
      return; end;
    return; end;
    
     if obj_id==2 then
      if frame==0 then
      BlockCursor(false);
        setcolor(1101,1,1,1,1,1);
        speciale_action(2,33);
      return;end;
      if frame==1 then
        MoveObjectY(1,-200,-400,1);
        MoveObjectY(12,568,768,1);
      return; end;
      -- if obj_id==12 then
        -- clear_satelite_leaf("hotel");
      -- return; end;
    return;end;
  return;end;  
      if pause_state then
    if sender==1 or sender==6 or sender==14 then
    pause_state=false;
    --set_visible_object(11111,false);
    end;
  return;end;
  if sender == 6 then --кликнули левой кнопкой мыши на активный объект
    frame=frame+1;
    if frame==1  then 
      BlockCursor(true);
      MoveObjectX(2,300,1024,1);
      speciale_action(2,1101);
      speciale_action(2,33);        
    return;end;      
  return;end;
  if sender == 100 then 
    DeleteResource("cm0033");
    DeleteResource("cmm0002");
    DeleteResource("cmm0012");
    clear_satelite_leaf("hotel");
  return end
end
